LEGO DC Super-Villains - Information

LEGO DC Super-Villains - System requirements - Game cover

LEGO DC Super-Villains is a videogame developed by TT Games, published by Warner Bros. Interactive Entertainment, released on 16 - 10 - 2018 It falls under the following genre categories : Adventure Action


If you are looking to see if you can run LEGO DC Super-Villains on your computer, you've come to the right place. See what are the minimum and recommended for system requirements ( sys req ) for LEGO DC Super-Villains



Can I run LEGO DC Super-Villains?


If you were wondering if you could run LEGO DC Super-Villains, we will help you to get the answer. In order to be able to run LEGO DC Super-Villains, you will need a CPU better that Intel Core i3-3240 (2 * 3400) or equivalent, AMD Athlon X4 740 (2 * 3200) or equivalent, more than 4 GB RAM, a GPU that is better ranked than GeForce GTX 460 (1024 MB), Intel Iris Pro 5200 (shared), Radeon HD 5850 (1024 MB) . Check the other system requirements for the game, below.

LEGO DC Super-Villains Minimum system requirements

CPU Intel Core i3-3240 (2 * 3400) or equivalent, AMD Athlon X4 740 (2 * 3200) or equivalent
RAM 4 GB RAM
GPU GeForce GTX 460 (1024 MB), Intel Iris Pro 5200 (shared), Radeon HD 5850 (1024 MB)
DX Version 11
Operating system Windows 7/8/8.1/10 x64
Storage 16 GB available space
Sound -
Optical Disk Drive -
Network connection Broadband Internet connection
Screen resolution -

Recommended system requirements for LEGO DC Super-Villains

CPU Intel Core i5-4570T (2*2900) or equivalent, AMD FX-6350 (6 * 3900) or equivalent
RAM 4 GB RAM
GPU GeForce GTX 750 Ti (2048 MB), Radeon HD 7970 (3072 MB)
DX Version 11
Operating system Windows 7/8/8.1/10 x64
Storage 16 GB available space
Sound -
Optical Disk Drive -
Network connection Broadband Internet connection
Screen resolution -

LEGO DC Super-Villains Information

Developer
TT Games
Publisher
Warner Bros. Interactive Entertainment
Genres
Adventure Action
Release Date:
16 - 10 - 2018